import progress.message.client.ErrorCodes;


public class MaxConnectionTest {

private static final String DEFAULT_BROKER_NAME = "192.168.0.52:2506";
private static final String DEFAULT_PASSWORD = "password";
private static final int    MESSAGE_LIFESPAN = 1800000;  // milliseconds (30 minutes)

private javax.jms.Connection connect = null;
private javax.jms.Session sendSession = null;
private javax.jms.MessageProducer sender = null;

/** Create JMS client for sending and receiving messages. */
private void connect( String broker, String username, String password, String sQueue, int i)
{
    // Create a connection.
    try
    {
        javax.jms.ConnectionFactory factory;
        factory = (new progress.message.jclient.ConnectionFactory (broker));
        connect = factory.createConnection (username, password);
        sendSession = connect.createSession(false,javax.jms.Session.AUTO_ACKNOWLEDGE);
        
        System.out.println("SonicMQ Connection create : " + i);
    }
    catch (javax.jms.JMSException jmse) {
    		jmse.printStackTrace();
    	   //System.out.println("Error during connection setup."+jmse );
    	   
 	  }
    
    
    // Create Sender and Receiver 'Talk' queues
    try
    {
        if (sQueue != null)
        {
            javax.jms.Queue sendQueue = sendSession.createQueue (sQueue);
            sender = sendSession.createProducer(sendQueue);
        }
        
    }
    catch (javax.jms.JMSException jmse)
    {
        jmse.printStackTrace();
        exit();
    }

}


/** Cleanup resources and then exit. */
private void exit()
{
    try
    {
        connect.close();
    }
    catch (javax.jms.JMSException jmse)
    {
        jmse.printStackTrace();
    }

    System.exit(0);
}

//
// NOTE: the remainder of this sample deals with reading arguments
// and does not utilize any JMS classes or code.
//

/** Main program entry point. */
public static void main(String argv[]) {

    // Values to be read from parameters
    String broker    	= DEFAULT_BROKER_NAME;
    String username  	= "user";
    String password  	= DEFAULT_PASSWORD;
    String qSender		= null;
    String qReceiver	= null;

    for (int i=1; i<=1300; i++) {
	    MaxConnectionTest maxConnectionTest = new MaxConnectionTest();
	    maxConnectionTest.connect(broker, username+"_"+i, password, qSender, i);
    }

}

}
